@echo off

set PATH=C:\Program Files\CMake\bin;%PATH%
set PYTORCH_BINARY_BUILD=1
set TH_BINARY_BUILD=1

set NO_CUDA=1

set DISTUTILS_USE_SDK=1

curl https://s3.amazonaws.com/ossci-windows/mkl_2018.2.185.7z -k -O
7z x -aoa mkl_2018.2.185.7z -omkl
set CMAKE_INCLUDE_PATH=%SRC_DIR%\\mkl\\include
set LIB=%SRC_DIR%\\mkl\\lib;%LIB%

set CMAKE_GENERATOR=Ninja
set CC=cl.exe
set CXX=cl.exe

pip install ninja

python setup.py install

pip uninstall -y ninja